VSTGUI: Buffer< T, Allocator > Exception Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
Buffer< T, Allocator > Exception Template Referencefinal

## Public Member Functions
| Buffer ()=default
| Buffer (size_t objectCount)
| Buffer (Buffer &&other)
Buffer & | operator= (Buffer &&other)
| Buffer (const Buffer &)=delete
Buffer & | operator= (const Buffer &)=delete
| ~Buffer () noexcept
T * | data ()
const T * | data () const
T * | get ()
const T * | get () const
T & | operator[] (size_t index)
const T & | operator[] (size_t index) const
T * | begin () noexcept
T * | end () noexcept
const T * | begin () const noexcept
const T * | end () const noexcept
size_t | size () const
bool | empty () const
void | allocate (size_t objectCount)
void | deallocate ()

## Constructor & Destructor Documentation

Buffer | ( |  | ) |
| default

Buffer | ( | size_t | objectCount | ) |
| inline

Buffer | ( | Buffer< T, Allocator > && | other | ) |
| inline

Buffer | ( | const Buffer< T, Allocator > & |  | ) |
| delete

~Buffer | ( |  | ) |
| inlinenoexcept

## Member Function Documentation

void allocate | ( | size_t | objectCount | ) |
| inline

T* begin | ( |  | ) |
| inlinenoexcept

const T* begin | ( |  | ) | const
| inlinenoexcept

T* data | ( |  | ) |
| inline

const T* data | ( |  | ) | const
| inline

void deallocate | ( |  | ) |
| inline

bool empty | ( |  | ) | const
| inline

T* end | ( |  | ) |
| inlinenoexcept

const T* end | ( |  | ) | const
| inlinenoexcept

T* get | ( |  | ) |
| inline

const T* get | ( |  | ) | const
| inline

Buffer& operator= | ( | Buffer< T, Allocator > && | other | ) |
| inline

Buffer& operator= | ( | const Buffer< T, Allocator > & |  | ) |
| delete

T& operator[] | ( | size_t | index | ) |
| inline

const T& operator[] | ( | size_t | index | ) | const
| inline

size_t size | ( |  | ) | const
| inline

The documentation for this exception was generated from the following file:

- malloc.h